summaryrefslogtreecommitdiff
path: root/tests/basic
diff options
context:
space:
mode:
authorJameson Graef Rollins <jrollins@finestructure.net>2009-02-19 02:09:23 -0500
committerJameson Graef Rollins <jrollins@finestructure.net>2009-02-19 02:09:23 -0500
commitd0459e29cb1a6f6196e3e12ccc4da47601514d67 (patch)
tree7716366cba685b19d29129fa2c7705d1001fd6e2 /tests/basic
parentb58a9dcdfe036354f886cf984988b94dc4d3a379 (diff)
parentca854b125a6088b3ee89ddb0927630e5a44911be (diff)
Merge commit 'dkg/master'
Diffstat (limited to 'tests/basic')
-rwxr-xr-xtests/basic16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/basic b/tests/basic
index 9ae9c1c..dea393f 100755
--- a/tests/basic
+++ b/tests/basic
@@ -26,6 +26,7 @@ source "$TESTDIR"/common
## test has *more* requirements than plain ol' monkeysphere:
which socat >/dev/null || { echo "You must have socat installed to run this test." ; exit 1; }
+
## FIXME: other checks?
######################################################################
@@ -123,6 +124,21 @@ export SOCKET="$TEMPDIR"/ssh-socket
# *anything* with any running X11 session.
export DISPLAY=monkeys
+## make sure that the version number matches the debian changelog
+## (don't bother if this is being run from the tests).
+
+if [ -f "$TESTDIR"/../packaging/debian/changelog ]; then
+ echo "##################################################"
+ echo "### checking version string match..."
+ repver=$(monkeysphere version)
+ debver=$(head -n1 "$TESTDIR"/../packaging/debian/changelog | sed 's/.*(\([^-]*\)-.*/\1/')
+ if [ "$repver" = "$debver" ] ; then
+ echo "Versions match!"
+ else
+ printf "reported version string (%s) does not match debian changelog (%s)\n" "$repver" "$debver"
+ exit 1
+ fi
+fi
######################################################################
### CONFIGURE ENVIRONMENTS